
Auto Multiple Choice - Bug # 538: Problème d'installation macOS

Status: Closed Priority: High
Author: Franck Toussaint Category: Installation
Created: 03/15/2018 Assignee: Alexis Bienvenüe
Updated: 09/07/2020 Due date:
Description: Bonjour,

Cela fait plusieurs jours que j'essaye en vain d'installer AMC en respectant la procédure MacPorts 
"Installation d'AMC sous macOS" et les sujets ad'hoc du forum. 
Voici ma config :
- macOS high Sierra 10.13.3
- Mactex installé et updated
- XQuartz 2.7.11 (xorg-server 1.18.4) 
- Xcode 9.2
- Macport version 2.4.2
- Polices Linux Libertine, DejaVu et IPAexMincho-IPAexGothic installées sur /Library/Fonts (voir fichier "fonts" 
joint)
- Fichier macport.conf modifié avec l'ajout /Library/TeX/exbin ligne binpath
- Installation avec la commande : sudo port install auto-multiple-choice-devel +mactex
Le fichier main.log retourne une erreur sur la police DejaVu Serif. Je ne comprends pas. Cette dernière est 
pourtant installé dans le dossier /Library/Fonts.
Serait-il possible de m'aider à résoudre ce problème d'installation. D'avance, merci.
Bien cordialement.
Franck

Extrait main.log
:info:build (/usr/local/texlive/2017/texmf-dist/tex/latex/graphics-def/xetex.def)))))kpathsea:make_tex: Invalid 
fontname `DejaVu Serif', contains ' '
:info:build !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
:info:build !
:info:build ! fontspec error: "font-not-found"
:info:build ! 
:info:build ! The font "DejaVu Serif" cannot be found.
:info:build ! 
:info:build ! See the fontspec documentation for further information.
:info:build ! 
:info:build ! For immediate help type H <return>.
:info:build !...............................................  
:info:build                                                   
:info:build l.19 \setmainfont{DejaVu Serif}
:info:build                                
:info:build ? 
:info:build ! Emergency stop.
:info:build !...............................................  
:info:build                                                   
:info:build l.19 \setmainfont{DejaVu Serif}
:info:build                                
:info:build No pages of output.
:info:build Transcript written on auto-multiple-choice.ja.log.
:info:build Error: Unable to find file.
:info:build Error: Failed to open PDF file: 
:info:build    auto-multiple-choice.ja.pdf
:info:build Errors encountered.  No output created.
:info:build Done.  Input errors, so no output created.
:info:build pdftk uncompress error: Inappropriate ioctl for device at ../reproducible-pdf.pl line 38.
:info:build make[1]: *** [auto-multiple-choice.ja.pdf] Error 25
:info:build make[1]: *** Waiting for unfinished jobs....
:info:build *** File auto-multiple-choice.en.xml
:info:build   I lang=en
:info:build   * extracting modeles/en/simple-txt
:info:build     embedded description / N=AMC-TXT format simple example
:info:build   * extracting modeles/en/simple
:info:build     embedded description / N=Simple example
:info:build   * extracting modeles/en/groups
:info:build     embedded description / N=Groups
:info:build   * extracting modeles/en/separate
:info:build     embedded description / N=Separate answers
:info:build   * extracting modeles/en/scoring
:info:build     embedded description / N=Scoring strategy
:info:build *** File auto-multiple-choice.fr.xml
:info:build   I lang=fr
:info:build   * extracting modeles/fr/simple-txt
:info:build     embedded description / N=Exemple simple au format AMC-TXT
:info:build   * extracting modeles/fr/simple
:info:build     embedded description / N=Exemple simple
:info:build   * extracting modeles/fr/groupes
:info:build     embedded description / N=Groupes
:info:build   * extracting modeles/fr/ensemble
:info:build     embedded description / N=Réponses séparées
:info:build   * extracting modeles/fr/bareme
:info:build     embedded description / N=Barème
:info:build http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd:124: parser error : Entity value required
:info:build ]]>
:info:build ^
:info:build http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd:124: parser error : xmlParseEntityDecl: 
entity ISOgrk not terminated
:info:build ]]>
:info:build ^
:info:build *** File auto-multiple-choice.ja.xml
:info:build make[1]: *** [auto-multiple-choice.ja.ext] Error 35
:info:build rm auto-multiple-choice.en.ext auto-multiple-choice.en.tex img_pdf/warning.pdf img_pdf/note.pdf 
auto-multiple-choice.ja.html auto-multiple-choice.fr.man auto-multiple-choice.fr.html 
auto-multiple-choice.ja.man auto-multiple-choice.ja.tex auto-multiple-choice.fr.tex 
auto-multiple-choice.en.html img_pdf/important.pdf auto-multiple-choice.en.man auto-multiple-choice.ja.ext 
auto-multiple-choice.fr.ext
:info:build make[1]: Leaving directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarba
lls_ports_x11_auto-multiple-choice/auto-multiple-choice/work/ac9013f9ddd7/doc'
:info:build make: *** [doc] Error 2
:info:build rm icons/auto-multiple-choice.png
:info:build make: Leaving directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarba
lls_ports_x11_auto-multiple-choice/auto-multiple-choice/work/ac9013f9ddd7'
:info:build Command failed:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarba
lls_ports_x11_auto-multiple-choice/auto-multiple-choice/work/ac9013f9ddd7" && /usr/bin/make -j4 -w all 
:info:build Exit code: 2
:error:build Failed to build auto-multiple-choice: command execution failed
:debug:build Error code: CHILDSTATUS 44450 2
:debug:build Backtrace: command execution failed
:debug:build     while executing
:debug:build "system {*}$notty {*}$nice $fullcmdstring"
:debug:build     invoked from within
:debug:build "command_exec build"
:debug:build     (procedure "portbuild::build_main" line 8)
:debug:build     invoked from within
:debug:build "$procedure $targetname"
:error:build See 
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarbal
ls_ports_x11_auto-multiple-choice/auto-multiple-choice/main.log for details.

History
03/15/2018 04:41 pm - Franck Toussaint
- File fonts.rtf added

03/15/2018 04:46 pm - Franck Toussaint
- File main.log.zip added

03/16/2018 10:06 am - Joël Brogniart
En général, ce genre de soucis est provoqué par des interférences entre différentes installations (TexLive MacPorts/TexLive Mactex, 
MacPorts/Homebrew).

Pouvez vous mettre le document _/opt/local/etc/macports/macports.conf_ ?

Pouvez vous indiquer le reésultat des commandes suivantes ?
<pre>
port list installed | grep texlive

which pdftk

which dblatex
</pre>

03/16/2018 11:49 am - Franck Toussaint
- File macports.conf added

- File main.log.zip added

Bonjour,

Merci pour votre prompt réponse.
Ci-joint le fichier macports.conf.
Les résultats des commandes sont :
PGMP-MFTOUS:macports ftous$ port list installed | grep texlive
Warning: The 'list' action only shows the currently available version of each port. To see installed versions, use the 'installed' action.
PGMP-MFTOUS:macports ftous$ which pdftk
/opt/local/bin/pdftk
PGMP-MFTOUS:macports ftous$ which dblatex
/opt/local/bin/dblatex
J'ai refait une installation ce matin. L'erreur n'est plus la la même. J'ai joint le nouveau fichier main.log associé.

Franck

03/16/2018 11:54 am - Franck Toussaint
Après avoir relancé 
sudo port install auto-multiple-choice +mactex

L'erreur revient sur la police DejaVu Serif...

03/21/2018 12:57 pm - Joël Brogniart
Elle m'énerve cette erreur. Je n'arrive pas à la reproduire. Dans certaines configurations l'installation Latex n'arrive pas à trouver des polices 
correctement installées.

Alors désolé, mais je vais demander encore quelques tests.

Si locate est activé, pouvez vous me donner le résultat de la commande suivante.

<pre>
locate DejaVuSerif.ttf
</pre>

Ainsi que le résultat des commandes suivantes.
<pre>
echo $PATH

which kpsewhich

kpsewhich -version

kpsewhich DejaVuSerif.ttf

which otfinfo

otfinfo -a `kpsewhich kpsewhich DejaVuSerif.ttf`
</pre>

03/21/2018 01:14 pm - Joël Brogniart
Et pendant qu'on y est, pouvez-vous aussi donner le résultat de la commande suivante.

<pre>
otfinfo -i /Library/Fonts/DejaVuSerif.ttf 
</pre>

03/21/2018 02:52 pm - Franck Toussaint
Bonjour,
J’ai trouvé l’origine du problème hier soir. Il s’agissait d’un problème d’installation des polices sous mac.
Voici ce qui pourrait être rajouté dans le tutoriel d’installation pour aider la communauté :
Installation des trois polices avec l’app Livre des polices. 
1) Dans Préférences -> Emplacement installation par défaut : choisir Ordinateur à la place de Utilisateur.
2) Installez successivement les trois polices en cliquant sur le bouton Ajouter dans la barre d’outils de Livre des polices, localisez et sélectionnez les 
polices puis cliquez sur ouvrir.

En attendant, merci pour votre soutien et pour ce bel outil.

Bien cordialement.
Franck

06/05/2019 10:14 am - Olivier Dadoun
Hello,

pour rajouter un item dans l'installation des polices sous OS X (Sierra) 
j'ai eu du mal à me débarrasser de 

> Package fontspec Error: The font "IPAexGothic" cannot be found
Malgré l'installation des fonts https://ipafont.ipa.go.jp/node26#en (bien copiées dans /Library/Fonts)

C'était un problème de droits 
un chmod 755 /Library/Fonts/ipaexg.ttf a reglé le probleme
Si ca peut aider ...
Olivier

09/03/2020 12:26 pm - Tamino Mozart
Bonjour, 

J'essaie d'installer AMC sur un nouveau Mac avec Catalina. J'ai suivi toutes les instructions de 
https://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Installation_d'AMC_sous_macOS_avec_MacPorts et, après avoir lu des 
discussions dans le Forum, j'ai déplacé les polices qui étaient dans mon dossier User vers /Library/Fonts (ordinateur). 

Lors de la tentative d'installation :
<pre>
sudo port install auto-multiple-choice-devel +mactex
</pre>
je récupère une erreur. J'attache le fichier log, qui signale notamment un problème avec la police DejaVu Serif : c'est pourquoi je me permets de placer 
ma question dans cette discussion. 

J'ai essayé de mettre en œuvre les solutions proposées dans cette discussion (et y compris de me relogger) mais sans succès pour l'instant. 

Comme mon problème ressemble à celui de cette discussion, je fournis les résultats des commandes suggérées, à toute fin utile (voir la copie d'écran 
jointe). 

Est-ce que quelqu'un voit ce que je peux faire ? 

Merci et bonne journée !

09/03/2020 12:29 pm - Tamino Mozart
- File main.log.zip added

04/18/2025 5/8



- File ScreenShotBW.pdf added

Toutes mes excuses : les pièces attachées sont ici...

Tamino Mozart wrote:
> Bonjour, 
> 
> J'essaie d'installer AMC sur un nouveau Mac avec Catalina. J'ai suivi toutes les instructions de 
https://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Installation_d'AMC_sous_macOS_avec_MacPorts et, après avoir lu des 
discussions dans le Forum, j'ai déplacé les polices qui étaient dans mon dossier User vers /Library/Fonts (ordinateur). 
> 
> Lors de la tentative d'installation :
> [...]
> je récupère une erreur. J'attache le fichier log, qui signale notamment un problème avec la police DejaVu Serif : c'est pourquoi je me permets de 
placer ma question dans cette discussion. 
> 
> J'ai essayé de mettre en œuvre les solutions proposées dans cette discussion (et y compris de me relogger) mais sans succès pour l'instant. 
> 
> Comme mon problème ressemble à celui de cette discussion, je fournis les résultats des commandes suggérées, à toute fin utile (voir la copie 
d'écran jointe). 
> 
> Est-ce que quelqu'un voit ce que je peux faire ? 
> 
> Merci et bonne journée !

09/07/2020 09:15 am - Tamino Mozart
Oups... Toutes mes excuses à nouveau : en fait, je n'avais pas laissé assez de temps à la commande port list installed | grep texlive. Voici ce qu'elle 
renvoie quand je suis patient : 

<pre>
invite$ port list installed | grep texlive
Warning: The 'list' action only shows the currently available version of each port. To see installed versions, use the 'installed' action.
texlive                        @2020           tex/texlive
texlive-basic                  @54624          tex/texlive-basic
texlive-bin                    @2020.54632     tex/texlive-bin
texlive-bin-extra              @54608          tex/texlive-bin-extra
texlive-common                 @2020           tex/texlive-common
texlive-context                @54364          tex/texlive-context
texlive-fonts-extra            @54583          tex/texlive-fonts-extra
texlive-fonts-recommended      @54512          tex/texlive-fonts-recommended
texlive-fontutils              @54269          tex/texlive-fontutils
texlive-lang-cjk               @54269          tex/texlive-lang-cjk
texlive-lang-czechslovak       @54568          tex/texlive-lang-czechslovak
texlive-lang-english           @54568          tex/texlive-lang-english
texlive-lang-european          @54568          tex/texlive-lang-european
texlive-lang-french            @54568          tex/texlive-lang-french
texlive-lang-german            @54604          tex/texlive-lang-german
texlive-lang-italian           @54568          tex/texlive-lang-italian
texlive-lang-japanese          @54564          tex/texlive-lang-japanese
texlive-lang-polish            @54568          tex/texlive-lang-polish
texlive-lang-portuguese        @54568          tex/texlive-lang-portuguese
texlive-lang-spanish           @54568          tex/texlive-lang-spanish
texlive-latex                  @54498          tex/texlive-latex
texlive-latex-extra            @54584          tex/texlive-latex-extra
texlive-latex-recommended      @54586          tex/texlive-latex-recommended
texlive-luatex                 @54550          tex/texlive-luatex
texlive-math-science           @54588          tex/texlive-math-science
texlive-metapost               @54512          tex/texlive-metapost
texlive-pictures               @54512          tex/texlive-pictures
texlive-plain-generic          @54476          tex/texlive-plain-generic
texlive-tlpdb                  @2020.54632     tex/texlive-tlpdb
texlive-xetex                  @54512          tex/texlive-xetex
invite$ 
</pre>

(Pour rappel, j'ai attaché une copie d'écran des sorties des autres commandes demandées dans un précédent message)

Merci ! 

09/07/2020 10:21 am - Joël Brogniart
Bon il y a eu un cafouillage lors de l'installation (ou des multiples installations). Lors d'une installation avec la commande "sudo port install 
auto-multiple-port-devel +mactext" il ne devrait pas y avoir d'outil texlive installés avec macPorts. Hors votre liste montre que les outils Texlive ont été 
installé dans Macports.

Si vous voulez avez MacTeX, il ne faut pas installer la version Macports de Texlive. Il faut reprendre l'installation à zéro.

Désinstallation de tout
<pre>
sudo port uninstall installed
</pre>

Mise à jour de Macports
<pre>
sudo port selfupdate
</pre>

Si vous n'avez pas installé XQuartz, installer le serveur X11
<pre>
sudo port install xorg-server
</pre>

Puis installer AMC pour utilisation de MacTeX
<pre>
sudo port install auto-multiple-choice-devel +mactex
</pre>

Si vous n'avez pas installé MacTeX et qu'il faut installer la version Texlive de Macports, la commande à utiliser est la suivante.

<pre>
sudo port install auto-multiple-choice-devel
</pre>
</pre>
09/07/2020 11:23 am - Tamino Mozart
Merci infiniment : ça fonctionne très bien ! Et désolé, j'avais dû en effet cafouiller quelque part...

09/07/2020 05:04 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
fonts.rtf 15.6 kB 03/15/2018 Franck Toussaint
main.log.zip 65.6 kB 03/15/2018 Franck Toussaint
macports.conf 8.2 kB 03/16/2018 Franck Toussaint
main.log.zip 60.3 kB 03/16/2018 Franck Toussaint
main.log.zip 151.7 kB 09/03/2020 Tamino Mozart
ScreenShotBW.pdf 354 kB 09/03/2020 Tamino Mozart
